function [eta,beta] = GsEtaBeta(M)

zeta = [];
beta=[];
for k=1:2*M
    zeta(k) = 0;
    for j=floor((k+1)/2):min(M,k)
        zeta(k) = zeta(k) + (-1)^(M+k)*j^(M+1)/factorial(M)*nchoosek(M,j)*...
               nchoosek(2*j,j)*nchoosek(j,k-j);
    end
    beta(k) = k*log(2);
end
eta = log(2)*zeta;
