function h = InvLaplaceAbateWitt(t,etaBetaFun,k)

    [eta,beta] = etaBetaFun(k);
    H = [];
    if mod(length(eta), 2)==1
        d = [abs(eta(2:2:end) - conj(eta(3:2:end))), ...
                abs(beta(2:2:end) - conj(beta(3:2:end)))];
        %if max(d) < max([abs(eta),abs(beta)])*10^(-7)
        if max(d) < 10^(-5)
            eta = eta(1:2:end);
            beta = beta(1:2:end); 
            for x=t
                hn = 1/x*eta(1)*hstar(beta(1)/x)+...
                    2/x*real(dot(conj(eta(2:end)),hstar(beta(2:end)./x)));
                H = [H hn];
            end
        else
            for x = t
                hn = real(1/x*dot(conj(eta), hstar(beta./x)));
                H = [H hn];
            end
        end
    else
        for x = t
                hn = real(1/x*dot(conj(eta), hstar(beta./x)));
                H = [H hn];
        end
    end
     
    h = H;
    
    