function InverseLaplaceFigures(ME01, euler01, talbot01, gaverstehfest01,...
    exact01,k,t,hstar)

Y = [];
leg = [];

if ME01 == 1
    me = InvLaplaceAbateWitt(t,@MeEtaBeta,2*k);%2k-1
    Y = [Y; me];
    leg = [leg;'ME    '];
end
    
if euler01 == 1
    eu = InvLaplaceAbateWitt(t,@EulerEtaBeta,k);%k
    Y = [Y; eu];
    leg = [leg;'Euler '];
end

if talbot01 == 1
    talb = InvLaplaceAbateWitt(t,@TalbotEtaBeta,2*k+1);%2k
    Y = [Y; talb];
    leg = [leg;'Talbot'];
end

if gaverstehfest01 == 1
    gs = InvLaplaceAbateWitt(t,@GsEtaBeta,k+1);%2k
    Y = [Y; gs];
    leg = [leg;'Gaver '];
end  

if exact01 == 1
    syms s
    h = ilaplace(hstar(s));
    exact = subs(h,t);
    Y = [Y;exact];
    leg = [leg;'Exact '];
end

figure
plot(t,Y')
legend(leg)