function [eta,beta] = EulerEtaBeta(M)
xi = [];

beta(1) = M*log(10)/3;
xi(1) = 1/2;
eta(1) = 10^(M/3)*1/2;
xi(2*M+1) = (1/2)^M;

for j = 1:M    
    xi(j+1) = 1;
    if j<M
        xi(2*M+1-j) = xi(2*M+2-j) + 2^(-M)*nchoosek(M,j);
    end
end

k = [1:2*M];
beta = [beta(1) beta(1) + pi*k*1i];
eta = [eta(1) 10^(M/3)*(-1).^k.*xi(2:end)];

